


# SmeupDataService class












## Constructors

[SmeupDataService](../smeup_services_smeup_data_service/SmeupDataService/SmeupDataService.md) ()

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_




## Static Properties

##### [services](../smeup_services_smeup_data_service/SmeupDataService/services.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), [SmeupDataServiceInterface](../smeup_services_smeup_data_service_interface/SmeupDataServiceInterface-class.md)>



   
_read / write_



##### [timeout](../smeup_services_smeup_data_service/SmeupDataService/timeout.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



   
_read / write_




## Static Methods

##### [decrementDataFetch](../smeup_services_smeup_data_service/SmeupDataService/decrementDataFetch.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) id) void



   




##### [getDataFetch](../smeup_services_smeup_data_service/SmeupDataService/getDataFetch.md)() [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



   




##### [getEmptyDataStructure](../smeup_services_smeup_data_service/SmeupDataService/getEmptyDataStructure.md)() dynamic



   




##### [getServiceImplementation](../smeup_services_smeup_data_service/SmeupDataService/getServiceImplementation.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) name) [SmeupDataServiceInterface](../smeup_services_smeup_data_service_interface/SmeupDataServiceInterface-class.md)



   




##### [incrementDataFetch](../smeup_services_smeup_data_service/SmeupDataService/incrementDataFetch.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) id) void



   




##### [initInternalService](../smeup_services_smeup_data_service/SmeupDataService/initInternalService.md)() dynamic



   




##### [invoke](../smeup_services_smeup_data_service/SmeupDataService/invoke.md)([SmeupFun](../smeup_models_smeup_fun/SmeupFun-class.md) smeupFun, {[String](https://api.flutter.dev/flutter/dart-core/String-class.html) httpServiceMethod, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) httpServiceUrl, dynamic httpServiceBody, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) httpServiceContentType, dynamic headers}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[SmeupServiceResponse](../smeup_services_smeup_service_response/SmeupServiceResponse-class.md)>



   




##### [isDataStructure](../smeup_services_smeup_data_service/SmeupDataService/isDataStructure.md)(dynamic data) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



   




##### [isValid](../smeup_services_smeup_data_service/SmeupDataService/isValid.md)([int](https://api.flutter.dev/flutter/dart-core/int-class.html) statusCode) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



   




##### [printRequestDuration](../smeup_services_smeup_data_service/SmeupDataService/printRequestDuration.md)([DateTime](https://api.flutter.dev/flutter/dart-core/DateTime-class.html) start) void



   




##### [setDataFetch](../smeup_services_smeup_data_service/SmeupDataService/setDataFetch.md)([int](https://api.flutter.dev/flutter/dart-core/int-class.html) value) void



   




##### [writeResponseError](../smeup_services_smeup_data_service/SmeupDataService/writeResponseError.md)(dynamic e, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) method) void



   




##### [writeResponseResult](../smeup_services_smeup_data_service/SmeupDataService/writeResponseResult.md)([Response](https://pub.dev/documentation/dio/4.0.0/dio/Response-class.html) response, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) method) void



   





## Constants

##### [DEFAULD_TIMEOUT](../smeup_services_smeup_data_service/SmeupDataService/DEFAULD_TIMEOUT-constant.md) const [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



   









